iOS SDK 兼容 iOS14 的公告说明

发布时间: 2020-09-18 20:27

回答:

通过 Xcode 12打包 App,在iOS 14 版本中我司发现 2.x  、4.0.0 、4.0.0.1 版本的 IMKit SDK 与 iOS 14 出现了兼容问题,该问题会引起 App 崩溃,针对该问题进行了紧急的修复

您可以在如下版本获得修改后的 SDK 版本:

1、iOS IMKit SDK 版本为 4.0.0 和 4.0.0.1 的客户务必升级至 4.0.1+ 版本。

2、iOS IMKit SDK 版本为 2.x 客户务必升级至 2.10.6 或者 2.10.4(9 月 18 日发布的版本),这两个版本已针对该问题进行了修复

(1)请务必于 2020 年 9 月 18 日以后重新下载获取 SDK,更新您的 App,下载地址:https://www.rongcloud.cn/downloads/history/ios

(2)使用 Pod 集成的客户,请参考文档先清理 Pod 缓存,文档地址:https://docs.rongcloud.cn/v4/views/im/ui/guide/private/setting/include/ios.html#cocoapods-clean

3、基于 iOS IMKit SDK 源码集成的客户,如需升级可以用 【iOS 14 IMKit 崩溃】为标题提供单,我司会第一时间紧急处理。

4、基于 iOS IMLib SDK 集成的客户不受影响。

如有任何问题,可随时与我们联系。